#include <iostream>
#include <cmath>
using namespace std;
int NZD(int a,int b)
{
    if(a<b) return NZD(b,a);
    if(a%b==0) return b;
    return NZD(b,(a%b));
}
long long funk(int p,int q,int r,long long R)
{
    long long pom;
    if(R>10*p*r*q) pom=R-10*p*r*q;
    else pom=0;
    for(int i=0;i<10*p*q*r;i++)
        if((i+p)/p+(i+q)/q+(i+r)/r<=i+1 && i+1<=R) pom++;
    return pom;
}
int main()
{
    int p,q,r;
    long long L,R;
    cin>>p>>q>>r>>L>>R;
    if((p*q)+(p*r)+(q*r)>p*q*r) cout<<0;
    else if((p*q)+(p*r)+(q*r)==p*q*r) {
        int Q=p*q/NZD(p,q);
        Q=Q*r/NZD(Q,r);
        cout<<(R/Q)-((L-1)/Q);
    }
    else
    {
        cout<<funk(p,q,r,R)-funk(p,q,r,L-1);
    }
    return 0;
}